/* トップページ スタイルシート */
/* https://fonts.google.com/specimen/Zen+Maru+Gothic */
@import url('https://fonts.googleapis.com/css2?family=Zen+Maru+Gothic&display=swap');

.top {
  height: 500px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

/* 登録フォーム */
.register {
  max-width: 400px;
  border-radius: 10px;
  background: #fff;
  padding: 20px;
}

.register p {
  margin: 5px 0 5px 0;
}

.register button {
  display: block;
  margin: 0 auto;
}

/* トップ カテゴリ */
#top-category {
  position: absolute;
  top: 625px;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%);
  max-width: 1120px;
}

#top-category > div > div {
  background: #9ac629;
  border-radius: 10%;
  height: 180px;
  transition: 0.3s;
}

#top-category > div > div :nth-child(n) {
  color: #fff;
}

/* トップカテゴリ スマホ用 */
#top-category-lg > div > div {
  background-color: #9ac629;
  border-bottom: solid 1px #7ca11e;
}

#top-category-lg > div > div :nth-child(n) {
  color: #fff;
}

#top-category-lg > div > div :last-child {
  font-size: 14px;
}

#top-category-lg > div > div > span::before {
  font-family: 'bootstrap-icons';
  content: '\F229';
  color: #fff;
  font-size: 1.25rem;
  transform: translateY(3px);
}

.spacing {
  padding-top: 10rem;
}

/* -------- メイン --------- */
/* トップ カテゴリ名 */
h4 {
  color: #5d6163;
}

/* 著者アイコン */
.author-icon {
  height: 1.75rem;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

/* インフォメーション */
.parent-tab {
  border: solid 1px #dee2e6;
}

#info-tab.nav.nav-tabs {
  background: #eee;
  border-bottom: 1px solid #ccc;
}

#info-tab .nav-link:not(.active) {
  color: #666 !important;
}

#info-tab .nav-link:not(.active):hover {
  color: #fff !important;
  background: #aaa !important;
}

#info-tab .nav-link.active {
  color: #000 !important;
}

#info-content .list-group-item {
  border-bottom: solid 1px #ddd !important;
}

#info-content > div > div > a > div > div > h5 {
  font-size: 16px;
}

#info-content > div > div > a > p {
  font-size: 14px;
}

/* サークル */
/* アイコン */
/* 公式マーク */
.official-mark {
  position: absolute;
  display: inline-flex;
  align-items: center;
  color: #fff;
  font-size: 0.75rem;
  background: #ffbc00;
  margin: 0.5rem;
  padding: 0.5rem;
}

/* 運動 */
.sport-icon::before {
  font-family: 'Material Symbols Rounded';
  content: '\e566';
}

/* 文化・学術 */
.culture-icon::before {
  font-family: 'Material Symbols Rounded';
  content: '\e80c';
}

/* 創造 */
.creation-icon::before {
  font-family: 'Material Symbols Rounded';
  content: '\e574';
}

/* サークル カテゴリ wider than -lg */
.circle-category {
  text-decoration: none;
}

.circle-category > div {
  color: #fff;
  /* background: #ffbc00; */
  background: linear-gradient(45deg, rgb(255, 215, 0), rgb(255, 155, 0));
  position: relative;
  overflow: hidden;
}

.circle-category > div :nth-child(n) {
  display: inline-flex;
  align-items: center;
}

.circle-category > div > :nth-child(1) {
  font-family: 'Zen Maru Gothic', sans-serif;
  font-weight: 400;
  font-size: 2rem;
}

.circle-category > div > :nth-child(2)::before {
  font-size: 5rem;
  opacity: 0.75;
}

/* 斜線 */
.circle-category > div::before {
  position: absolute;
  bottom: 6rem;
  content: '';
  width: 100%;
  height: 3px;
  background: #fff;
  transform: skewY(60deg);
  opacity: 0.5;
}

/* サークル カテゴリ smaller than -lg */
.circle-category-s {
  text-decoration: none;
}

.circle-category-s > div {
  color: #fff;
  /* background: #ffbc00; */
  background: linear-gradient(45deg, rgb(255, 215, 0), rgb(255, 155, 0));
}

.circle-category-s > div :nth-child(n) {
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.circle-category-s > div > :nth-child(1) {
  font-family: 'Zen Maru Gothic', sans-serif;
  font-weight: 700;
  font-size: 1.5rem;
}

.circle-category-s > div > :nth-child(2) :nth-child(1)::before {
  font-size: 3rem;
  opacity: 0.75;
}

.circle-category-s > div > :nth-child(2) :nth-child(2)::before {
  font-family: 'bootstrap-icons';
  content: '\F229';
  font-size: 1.25rem;
  transform: translateY(3px);
}

/* サークル カテゴリ見出し */
.circle-category-title {
  display: inline-flex;
  align-items: center;
  color: #fff;
  font-size: 1.15rem;
  background: #ffbc00;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  padding-left: 1rem;
  padding-right: 2.5rem;
}

.circle-category-title::before {
  font-size: 1.75rem;
  margin-right: 0.5rem;
  opacity: 0.8;
}

/* サークル 名前 */
.circle-title {
  display: inline-flex;
  align-items: center;
}

.circle-title::before {
  font-family: 'bootstrap-icons';
  content: '\F518';
  color: #ff8000;
  margin-right: 0.4rem;
}

/* サークル 場所 */
.circle-info :nth-child(1) {
  display: inline-flex;
  align-items: center;
}

.circle-info :nth-child(1)::before {
  font-family: 'bootstrap-icons';
  content: '\F3E7';
  font-size: 1.1rem;
  margin-left: 0.1rem;
  margin-right: 0.5rem;
}

/* サークル 人数 */
.circle-info :nth-child(2) {
  display: inline-flex;
  align-items: center;
}

.circle-info :nth-child(2)::before {
  font-family: 'bootstrap-icons';
  content: '\F4CF';
  font-size: 1.1rem;
  margin-left: 0.1rem;
  margin-right: 0.5rem;
}
